## cif-tools 1.0.0

=== debian/changelog ===
cif-tools (1.0.0-3) unstable; urgency=medium

  * Fixed VCS url's in debian/control file

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 30 Nov 2020 17:34:22 +0100

cif-tools (1.0.0-2) unstable; urgency=medium

  * Fixed copyright for example file
  * Update various other debian/* files

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 24 Nov 2020 13:45:29 +0100

cif-tools (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #975526)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 23 Nov 2020 14:12:45 +0100
