=== debian/tests/control ===
Tests: run-unit-test
Depends:
 cif-tools,
 libcifpp-dev
Restrictions: allow-stderr
