## cif-tools 1.0.1b

=== debian/changelog ===
cif-tools (1.0.1b-1) unstable; urgency=medium

  * New upstream release, with cmake.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 08 Feb 2022 09:57:31 +0100

cif-tools (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * Tighten B-D and test-dep on libcifpp-dev to build with
    (gcc11-)fixed version of the same (Closes: #984015)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 19:49:48 +0530
