=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Uploaders:
  Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends:
- autoconf-archive,
+ cmake,
+ mrc,
  debhelper-compat (= 13),
+ libboost-system-dev,
  libboost-date-time-dev,
- libboost-dev,
  libboost-iostreams-dev,
  libboost-program-options-dev,
- libboost-system-dev,
- libcifpp-dev,
- pkg-config
+ libcifpp-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/PDB-REDO/cif-tools
 Vcs-Browser: https://salsa.debian.org/med-team/cif-tools
