=== debian/tests/control ===
Tests: run-unit-test
Depends:
 cif-tools,
 libcifpp-dev (>= 1.0.1-4~)
Restrictions: allow-stderr
