=== debian/changelog ===
cif-tools (1.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 22 Nov 2022 13:03:32 +0100
