=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  cmake,
  mrc,
  debhelper-compat (= 13),
- libboost-system-dev,
- libboost-date-time-dev,
- libboost-iostreams-dev,
- libboost-program-options-dev,
- libcifpp-dev
+ libboost-regex-dev,
+ zlib1g-dev,
+ libcifpp-dev (>= 5.0.5-2),
+ libmcfp-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/PDB-REDO/cif-tools
 Vcs-Browser: https://salsa.debian.org/med-team/cif-tools
