=== debian/changelog ===
cif-tools (1.0.12-5) unstable; urgency=medium

  * Patch for renamed libmcfp
  * Closes: #1106880

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sun, 31 Aug 2025 12:41:26 +0200

cif-tools (1.0.12-4) unstable; urgency=medium

  * Closes: #1043897

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 29 Oct 2024 07:42:14 +0100

cif-tools (1.0.12-3) unstable; urgency=medium

  * Yet another rebuild.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 25 Oct 2024 14:29:27 +0200
