=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  libboost-regex-dev,
  zlib1g-dev,
- libcifpp-dev (>= 5.0.5-2),
+ libcifpp-dev (>= 7.0.7-2),
  libmcfp-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/PDB-REDO/cif-tools
