=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cif-tools-$1\.tar\.gz/ \
  https://github.com/PDB-REDO/cif-tools/tags .*/v?(\d\S+)\.tar\.gz
