=== debian/changelog ===
cif-tools (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 20 Nov 2025 12:01:47 +0100
