=== debian/control ===
--- 
+++ 
@@ -8,9 +8,7 @@
  cmake,
  mrc,
  debhelper-compat (= 13),
- libboost-regex-dev,
- zlib1g-dev,
- libcifpp-dev (>= 7.0.7-2),
+ libcifpp-dev (>= 9),
  libmcfp-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/PDB-REDO/cif-tools
